> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Liquidity

> Get a blink for adding liquidity to a DLMM pool



## OpenAPI

````yaml /openapi/meteora.json get /v0/dlmm/{dlmmPool}/add-liquidity
openapi: 3.1.1
info:
  title: Meteora Blinks
  version: 0.0.1
servers:
  - url: https://meteora.dial.to/api
security: []
paths:
  /v0/dlmm/{dlmmPool}/add-liquidity:
    get:
      tags:
        - DLMM
      summary: Add Liquidity
      description: Get a blink for adding liquidity to a DLMM pool
      operationId: meteora.v0.dlmm.getAddLiquidityBlink
      parameters:
        - name: dlmmPool
          in: path
          required: true
          schema:
            type: string
            description: DLMM pool address
            default: BGm1tav58oGcsQJehL9WXBFXF7D27vZsKefj4xJKD5Y
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  label:
                    type: string
                  icon:
                    type: string
                  links:
                    type: object
                    properties:
                      actions:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              const: transaction
                            href:
                              type: string
                            label:
                              type: string
                            parameters:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  type:
                                    type: string
                                  label:
                                    type: string
                                required:
                                  - name
                                  - type
                                  - label
                          required:
                            - type
                            - href
                            - label
                    required:
                      - actions
                required:
                  - title
                  - description
                  - label
                  - icon
                  - links

````